package com.goafanti.expenseAccount.bo;

public class InputDetailsListBo {
    private Integer pageSize;
    private Integer pageNo;
    /**
     * 0 明细查看表 1我的明细表
     */
    private Integer myType;
    /**
     * 状态 0=草稿，1=审核中，2=完成，3=驳回 ,4=撤销
     */
    private Integer status;
    /**
     * 0=其他，1=交通费，2=住宿费，3=市内车费，4=餐费，5=出差补贴，6=预借支,7=油费
     * 8=招待费，9=办公费，10=福利费，11=物业水电费，12=打印费
     */
    private Integer type;
    /**
     * 部门名称
     */
    private String depId;
    /**
     * 合同编号
     */
    private String contractNo;
    /**
     * 客户名称
     */
    private String buyerName;
    /**
     * 申请人
     */
    private String aid;
    /**
     * 申请部门
     */
    private String applyDep;
    /**
     * 支付部门
     */
    private String payDep;
    /**
     * 开始时间
     */
    private String startTime;
    /**
     * 结束时间
     */
    private String endTime;
    /**
     * 报销查询编号
     */
    private String checkNo;

    public Integer getMyType() {
        return myType;
    }

    public void setMyType(Integer myType) {
        this.myType = myType;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public Integer getPageNo() {
        return pageNo;
    }

    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getDepId() {
        return depId;
    }

    public void setDepId(String depId) {
        this.depId = depId;
    }

    public String getContractNo() {
        return contractNo;
    }

    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    public String getBuyerName() {
        return buyerName;
    }

    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }

    public String getAid() {
        return aid;
    }

    public void setAid(String aid) {
        this.aid = aid;
    }

    public String getApplyDep() {
        return applyDep;
    }

    public void setApplyDep(String applyDep) {
        this.applyDep = applyDep;
    }

    public String getPayDep() {
        return payDep;
    }

    public void setPayDep(String payDep) {
        this.payDep = payDep;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getCheckNo() {
        return checkNo;
    }

    public void setCheckNo(String checkNo) {
        this.checkNo = checkNo;
    }
}
